Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226229 - Merge Review: pango
Summary: Merge Review: pango
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:20 UTC by Nobody's working on this, feel free to take it
Modified: 2010-09-03 05:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-03 05:07:09 UTC
panemade: fedora-review+


Attachments (Terms of Use)
pango spec cleanup (deleted)
2010-07-20 06:59 UTC, Parag AN(पराग)
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 20:20:33 UTC
Fedora Merge Review: pango

http://cvs.fedora.redhat.com/viewcvs/devel/pango/
Initial Owner: besfahbo@redhat.com

Comment 1 Roozbeh Pournader 2007-02-03 12:54:01 UTC
BLOCKER:
  MUST: The License field in the package spec file must match the actual license.

The license is actually more complicated than the LGPL that the spec file
currently says. See bug 224135.

Comment 2 Behdad Esfahbod 2007-02-03 15:58:14 UTC
So, "LGPL plus/minus exception"?

Comment 3 Roozbeh Pournader 2007-02-03 20:33:13 UTC
(In reply to comment #2)
> So, "LGPL plus/minus exception"?

"LGPL with additional restrictions", I think. The additional restrictions would
be whatever FTL/GPL would impose.


Comment 4 Roozbeh Pournader 2007-02-06 12:59:27 UTC
Bad news! <http://fedoraproject.org/wiki/Packaging/Guidelines#Legal> says that
the license must be in one of the three lists. Since FTL is nowhere on those
lists, unless FSF reviews it or OSI approves it, we may need to consider pango
and freetype GPL.

Comment 5 Behdad Esfahbod 2007-02-06 17:16:39 UTC
We're kinda out of it: 2 of 3 FreeType developers have agreed to changing the
GPL+FTL to LGPL+FTL for HarfBuzz.

Comment 6 Behdad Esfahbod 2008-12-09 18:16:27 UTC
This has happened by the way.  We've gone with the Old MIT license which doesn't have any advertising requirement.

Comment 7 Behdad Esfahbod 2008-12-09 20:12:56 UTC
The license and the license field have long been fixed.  Closing.

Comment 8 Dennis Gilmore 2008-12-09 21:26:10 UTC
package has not been reviewed and approved.  you cant close it until review is complete.

Comment 9 Parag AN(पराग) 2010-07-20 06:49:48 UTC
1) rpmlint reported

pango.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
pango.src:505: W: macro-in-%changelog %{version}
pango.src:505: W: macro-in-%changelog %{release}
pango.src: W: no-cleaning-of-buildroot %clean
pango.src: W: no-buildroot-tag
pango.src: W: no-%clean-section
pango.src:83: W: mixed-use-of-spaces-and-tabs (spaces: line 82, tab: line 83)
pango.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
pango.x86_64: W: conffile-without-noreplace-flag /etc/pango/pangox.aliases
pango.x86_64: W: no-manual-page-for-binary pango-querymodules-64
3 packages and 0 specfiles checked; 0 errors, 10 warnings.

2)also build.log from latest build on koji showed
warning: File listed twice: /usr/share/man/man1/pango-view.1.gz

3)this package should follow https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

4)this package should follow https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

Comment 10 Parag AN(पराग) 2010-07-20 06:59:09 UTC
Created attachment 433083 [details]
pango spec cleanup

Also, scratch build with this patch applied is successful
http://koji.fedoraproject.org/koji/taskinfo?taskID=2330361

Comment 11 Parag AN(पराग) 2010-07-20 07:00:18 UTC
to above patch Changelog entry need to be added.

mclasen,
  Can you please help to complete this review by applying above patch?

Thanks.

Comment 12 Parag AN(पराग) 2010-08-09 05:42:40 UTC
ping behdad or mclasen,
  Can anyone please update this package for its merge-review?

Comment 13 Parag AN(पराग) 2010-08-11 04:22:57 UTC
After repetitive pings on bz, looking into discussion happened in yesterday's FESCo meeting where X/Desktop team members almost shown un-willingness to fix this review, I am pushing back this to NEW queue.

Comment 14 Matthias Clasen 2010-08-11 14:15:04 UTC
not sure what you are talking about. the changes in your patch certainly don't look like they are worth loosing more than 5 minutes about. Feel free to commit it.

Comment 16 Parag AN(पराग) 2010-09-02 04:05:07 UTC
(In reply to comment #14)
> not sure what you are talking about. the changes in your patch certainly don't
> look like they are worth loosing more than 5 minutes about. Feel free to commit
> it.

Thanks. I will build new pango-1.28.1-5.fc15 in rawhide by applying above patch and close this review.

Comment 17 Parag AN(पराग) 2010-09-03 05:07:09 UTC
I have built above approved changes in rawhide. Closing this review now.


Note You need to log in before you can comment on or make changes to this bug.